Package org.oasis_open.docs.ws_calendar.ns.soap

# Class MultiOpResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.MultiOpResponseType

public class MultiOpResponseType extends BaseResponseType
Response to a multi-op message. This is a sequence of responses to each operation. The multi-op operation itself has a status which is almost always success. Each embedded response needs to be examined to determine if it succeeded or failed.

Java class for MultiOpResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MultiOpResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="responses" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ArrayOfResponses"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfResponses`
  `responses`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiOpResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfResponses`
  `getResponses()`
  Gets the value of the responses property.
  `void`
  `setResponses(ArrayOfResponses value)`
  Sets the value of the responses property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### responses

    protected ArrayOfResponses responses

- ## Constructor Details

  - ### MultiOpResponseType

    public MultiOpResponseType()

- ## Method Details

  - ### getResponses

    public ArrayOfResponses getResponses()
    Gets the value of the responses property.
    Returns:
      possible object is `ArrayOfResponses`

  - ### setResponses

    public void setResponses(ArrayOfResponses value)
    Sets the value of the responses property.
    Parameters:
      `value` - allowed object is `ArrayOfResponses`